Server monitors

GET https://uptime.condoo.systems/api/server-monitors/
curl --request GET \
--url 'https://uptime.condoo.systems/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchanfrage.
search_by Optional String Nach welchem Feld suchst du? Erlaubte Werte sind: name, target.
is_enabled Optional Boolean
agent_status Optional String Erlaubte Werte: paused, pending, online, stale, offline
datetime_field Optional String Erlaubte Werte: datetime, last_datetime, last_log_datetime, boot_datetime, last_reboot_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: server_monitor_id, datetime, last_datetime, last_log_datetime, boot_datetime, last_reboot_datetime, total_logs, total_reboots, agent_status, cpu_usage, ram_usage, swap_usage, disk_usage, uptime, name.
order_type Optional String Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge.
page Optional Zahl Die Seitenzahl, von der du die Ergebnisse haben möchtest. Standardmäßig ist sie 1.
results_per_page Optional Zahl Wie viele Ergebnisse möchtest du pro Seite sehen? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "notifications": [],
            "settings": [],
            "uptime": 1,
            "boot_datetime": null,
            "last_reboot_datetime": null,
            "total_reboots": 0,
            "network_total_download": 1,
            "network_download": 1,
            "network_total_upload": 1,
            "network_upload": 1,
            "os_name": "Example",
            "os_version": "Example",
            "kernel_name": "Example",
            "kernel_version": "Example",
            "kernel_release": "Example",
            "cpu_architecture": "Example",
            "cpu_model": "Example",
            "cpu_cores": 1,
            "cpu_frequency": 1,
            "cpu_usage": 1.5,
            "ram_usage": 1.5,
            "ram_used": 1.5,
            "ram_total": 1.5,
            "swap_usage": 1.5,
            "swap_used": 1.5,
            "swap_total": 1.5,
            "disk_usage": 1.5,
            "disk_used": 1.5,
            "disk_total": 1.5,
            "disk_mounts": [],
            "cpu_load_1": 1.5,
            "cpu_load_5": 1.5,
            "cpu_load_15": 1.5,
            "is_enabled": true,
            "agent_status": "online",
            "total_logs": 1,
            "last_log_datetime": null,
            "datetime": "2026-11-02 23:56:44",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime.condoo.systems/api/server-monitors?page=1",
        "last": "https://uptime.condoo.systems/api/server-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime.condoo.systems/api/server-monitors?page=1"
    }
}
GET https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "boot_datetime": null,
        "last_reboot_datetime": null,
        "total_reboots": 0,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "swap_usage": 1.5,
        "swap_used": 1.5,
        "swap_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "disk_mounts": [],
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "agent_status": "online",
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-11-02 23:56:44",
        "last_datetime": null
    }
}
POST https://uptime.condoo.systems/api/server-monitors
Parameter Details Beschreibung
name Erforderlich String -
target Erforderlich String -
project_id Optional Zahl -
notifications Optional Array Notification handler ids
agent_status_notification_is_enabled Optional Boolean Get notified when the tracking agent stops sending data and when it comes back online.
server_check_interval_seconds Optional Zahl Erlaubte Werte: 60, 300, 600, 900, 1800 (Sekunden)
alert_metric[key] Optional String Erlaubte Werte: cpu_usage, disk_usage, ram_usage, swap_usage
alert_rule[key] Optional String Erlaubte Werte: is_higher, is_lower
alert_value[key] Optional String Erlaubte Werte: 1-99
alert_trigger[key] Optional String Erlaubte Werte: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Optional Boolean -
curl --request POST \
--url 'https://uptime.condoo.systems/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "boot_datetime": null,
        "last_reboot_datetime": null,
        "total_reboots": 0,
        "network_total_download": "Example",
        "network_download": "Example",
        "network_total_upload": "Example",
        "network_upload": "Example",
        "os_name": null,
        "os_version": null,
        "kernel_name": null,
        "kernel_version": null,
        "kernel_release": null,
        "cpu_architecture": null,
        "cpu_model": null,
        "cpu_cores": "Example",
        "cpu_frequency": "Example",
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "swap_usage": 1.5,
        "swap_used": 1.5,
        "swap_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "disk_mounts": [],
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-11-02 23:56:44",
        "last_datetime": null
    }
}
POST https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}
Parameter Details Beschreibung
name Erforderlich String -
target Erforderlich String -
project_id Optional Zahl -
notifications Optional Array Notification handler ids
agent_status_notification_is_enabled Optional Boolean Get notified when the tracking agent stops sending data and when it comes back online.
server_check_interval_seconds Optional Zahl Erlaubte Werte: 60, 300, 600, 900, 1800 (Sekunden)
alert_metric[key] Optional String Erlaubte Werte: cpu_usage, disk_usage, ram_usage, swap_usage
alert_rule[key] Optional String Erlaubte Werte: is_higher, is_lower
alert_value[key] Optional String Erlaubte Werte: 1-99
alert_trigger[key] Optional String Erlaubte Werte: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Optional Boolean -
curl --request POST \
--url 'https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "boot_datetime": null,
        "last_reboot_datetime": null,
        "total_reboots": 0,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "swap_usage": 1.5,
        "swap_used": 1.5,
        "swap_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "disk_mounts": [],
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-11-02 23:56:44",
        "last_datetime": null
    }
}
DELETE https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime.condoo.systems/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \